#ifndef TRIANGLE_HXX
#define TRIANGLE_HXX

#include "Primitive.hxx"

class Triangle : public Primitive
{
public:
  Triangle(const Vec3f& a, const Vec3f& b, const Vec3f& c, Shader* shader);
  virtual ~Triangle();
  
  virtual bool Intersect(Ray& ray);
  virtual Vec3f GetNormal(Ray& ray);
private:
  Vec3f m_a, m_b, m_c;
};
#endif
